#!/usr/bin/perl

# reasonable seed
srand($$ + time());

# take in all input
while ($l=<>) {
	$r=rand();
	# use rand as key
	if (exists $all{$r}) {
		# had that rand value before
		$all{$r} .= $l;
	} else {
		# new rand value
		$all{$r}=$l;
	}
}
print values %all;
